Resource

Alert Episode Internal Note

Manage internal notes for your alert episodes

The Alert Episode Internal Note Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    alertEpisode
    Type
    Alert Episode
    Description

    Relation to Alert Episode in which this resource belongs

  • Name
    alertEpisodeId
    Type
    Object IDRequired
    Description

    Relation to Alert Episode ID in which this resource belongs

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    note
    Type
    Markdown
    Description

    Notes in markdown

  • Name
    attachments
    Type
    File
    Description

    Files attached to this note

  • Name
    isOwnerNotified
    Type
    BooleanRequired
    Description

    Are owners notified of this resource ownership?

  • Name
    postedFromSlackMessageId
    Type
    Long Text
    Description

    Unique identifier for the Slack message this note was created from (channel_id:message_ts). Used to prevent duplicate notes when multiple users react to the same message.

GETorPOST/api/alert-episode-internal-note/get-list

List

This endpoint allows you to retrieve a paginated list of all your Alert Episode Internal Note. By default, a maximum of ten Alert Episode Internal Note are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/alert-episode-internal-note/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "postedFromSlackMessageId": true,
    "alertEpisodeId": true,
    "isOwnerNotified": true,
    "projectId": true,
    "_id": true
  },
  "query": {
    "postedFromSlackMessageId": "C1234567890:1234567890.123456"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "376b5020-28fe-11f1-b591-3fdcef396aba",
      "postedFromSlackMessageId": "C1234567890:1234567890.123456",
      "alertEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "isOwnerNotified": true,
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "376b5021-28fe-11f1-b591-3fdcef396aba",
      "postedFromSlackMessageId": "C1234567890:1234567890.123456",
      "alertEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "isOwnerNotified": true,
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "376b5022-28fe-11f1-b591-3fdcef396aba",
      "postedFromSlackMessageId": "C1234567890:1234567890.123456",
      "alertEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "isOwnerNotified": true,
      "projectId": "550e8400-e29b-41d4-a716-446655440000"
    }
  ]
}
GETorPOST/api/alert-episode-internal-note/:id/get-item

Get item by ID

This endpoint allows you to retrieve Alert Episode Internal Note by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/alert-episode-internal-note/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "postedFromSlackMessageId": true,
    "alertEpisodeId": true,
    "isOwnerNotified": true,
    "projectId": true,
    "_id": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "postedFromSlackMessageId": "C1234567890:1234567890.123456",
  "alertEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
  "isOwnerNotified": true,
  "projectId": "550e8400-e29b-41d4-a716-446655440000"
}
POST/api/alert-episode-internal-note/count

Count

This endpoint allows you to retrieve the count of all your Alert Episode Internal Note.

Optional Request Body

Count Request

POST
/api/alert-episode-internal-note/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "postedFromSlackMessageId": "C1234567890:1234567890.123456"
  }
}

Response

{
  "count": 107
}
POST/api/alert-episode-internal-note

Create Alert Episode Internal Note

This endpoint allows you to create a new object.

Create Request

POST
/api/alert-episode-internal-note
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "postedFromSlackMessageId": "C1234567890:1234567890.123456",
    "alertEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "alertEpisode": "Example alert episode",
    "attachments": []
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "postedFromSlackMessageId": "C1234567890:1234567890.123456",
  "alertEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
  "isOwnerNotified": true,
  "projectId": "550e8400-e29b-41d4-a716-446655440000"
}
PUT/api/alert-episode-internal-note/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/alert-episode-internal-note/:id/update-item
GET/api/alert-episode-internal-note/:id/update-item

Update Request

PUT
/api/alert-episode-internal-note/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "attachments": [],
    "note": "Example note content"
  }
}

Response

{}
DELETE/api/alert-episode-internal-note/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/alert-episode-internal-note/:id/delete-item
GET/api/alert-episode-internal-note/:id/delete-item

Delete Request

DELETE
/api/alert-episode-internal-note/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Alert Episode Internal Note

  • Project Owner
  • Project Admin
  • Project Member
  • Read Alert Episode Internal Note
  • Read All Project Resources

Create Permissions

Required to create Alert Episode Internal Note

  • Project Owner
  • Project Admin
  • Project Member
  • Create Alert Episode Internal Note

Update Permissions

Required to update Alert Episode Internal Note

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Alert Episode Internal Note

Delete Permissions

Required to delete Alert Episode Internal Note

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Alert Episode Internal Note